Version of PostgreSQL used by Data Store

294
1
Jump to solution
08-20-2020 10:42 AM
ThomasJeans
New Contributor

Our enterprise is monitoring usage of legacy versions of PostgreSQL. We are currently using ArcGIS version 10.6 and it appears the internal data store is using PostgreSQL 9.5.x. Is there a way to modify the version of PostgreSQL our instance is using internally? Would upgrading to 10.8.1 default to a more recent version of PostgreSQL engine?

0 Kudos
1 Solution

Accepted Solutions
ChristopherPawlyszyn
Esri Contributor

There is no supported method of upgrading internal components of ArcGIS Enterprise individually, but upgrading to a later version of ArcGIS Enterprise software does inherently update certain internal components as well.

I just checked my 10.8.1 relational data store and confirmed the internal PostgreSQL version is 10.10.

Hope that helps!

View solution in original post

1 Reply
ChristopherPawlyszyn
Esri Contributor

There is no supported method of upgrading internal components of ArcGIS Enterprise individually, but upgrading to a later version of ArcGIS Enterprise software does inherently update certain internal components as well.

I just checked my 10.8.1 relational data store and confirmed the internal PostgreSQL version is 10.10.

Hope that helps!

View solution in original post